> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the notebooks bucket and the caller's home prefix

> Return the notebooks bucket and the caller's ``users/{username}/`` prefix.



## OpenAPI

````yaml get /api/notebooks/location
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/notebooks/location:
    get:
      tags:
        - Notebooks
      summary: Get the notebooks bucket and the caller's home prefix
      description: >-
        Return the notebooks bucket and the caller's ``users/{username}/``
        prefix.
      operationId: get_notebook_location_api_notebooks_location_get
      responses:
        '200':
          description: Location returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotebookLocation'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    NotebookLocation:
      properties:
        bucket:
          type: string
          title: Bucket
          description: The notebooks S3 bucket name.
        home_prefix:
          type: string
          title: Home Prefix
          description: The caller's home prefix, e.g. 'users/{username}/'.
      type: object
      required:
        - bucket
        - home_prefix
      title: NotebookLocation
      description: Where the caller's notebooks live in S3 — drives UI hint text.
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````